package net.yaoyi.gulop.member.auth.dto;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

@Data
@NoArgsConstructor
@AllArgsConstructor
//@ApiModel("银行卡四要素认证请求")
public class FourElementAuthDto {
    @NotBlank(message = "银行卡号不能为空")
    private String cardNumber;

    @NotNull(message = "开户行不能为空")
    private String bankName;

    @NotNull(message = "手机号码不能为空")
    private String phone;

}
